| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

Enumerations | Functions
Device Management Service

## Enumerations
enum | eGobiPowerMode { GobiPowerMode_Online = 0, GobiPowerMode_Low, GobiPowerMode_FactoryTest, GobiPowerMode_Offline, GobiPowerMode_Reset, GobiPowerMode_Off, GobiPowerMode_PersistentLow }

## Functions
IMPORTGOBI ULONG GOBICMAPI | SetPowerCallback (tFNPower pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetActivationStatusCallback (tFNActivationStatus pCallback)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMGetICCID (BYTE stringSize, CHAR *pString)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMGetControlKeyStatus (ULONG id, ULONG *pStatus, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMSetControlKeyProtection (ULONG id, ULONG status, CHAR *pValue, ULONG *pVerifyRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMUnblockControlKey (ULONG id, CHAR *pValue, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMSetPINProtection (ULONG id, ULONG bEnable, CHAR *pValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMVerifyPIN (ULONG id, CHAR *pValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMUnblockPIN (ULONG id, CHAR *pPUKValue, CHAR *pNewValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMChangePIN (ULONG id, CHAR *pOldValue, CHAR *pNewValue, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | DMSUIMGetPINStatus (ULONG id, ULONG *pStatus, ULONG *pVerifyRetriesLeft, ULONG *pUnblockRetriesLeft)
IMPORTGOBI ULONG GOBICMAPI | GetHardwareRevision (BYTE stringSize, CHAR *pString)
IMPORTGOBI ULONG GOBICMAPI | GetPRLVersion (WORD *pPRLVersion)
IMPORTGOBI ULONG GOBICMAPI | GetERIFile (ULONG *pFileSize, BYTE *pFile)
IMPORTGOBI ULONG GOBICMAPI | ActivateAutomatic (CHAR *pActivationCode)
IMPORTGOBI ULONG GOBICMAPI | ActivateManual (CHAR *pSPC, WORD sid, CHAR *pMDN, CHAR *pMIN, ULONG prlSize, BYTE *pPRL, CHAR *pMNHA, CHAR *pMNAAA)
IMPORTGOBI ULONG GOBICMAPI | ResetToFactoryDefaults (CHAR *pSPC)
IMPORTGOBI ULONG GOBICMAPI | GetActivationState (ULONG *pActivationState)
IMPORTGOBI ULONG GOBICMAPI | SetPower (ULONG powerMode)
IMPORTGOBI ULONG GOBICMAPI | GetPower (ULONG *pPowerMode)
IMPORTGOBI ULONG GOBICMAPI | GetOfflineReason (ULONG *pReasonMask, ULONG *pbPlatform)
IMPORTGOBI ULONG GOBICMAPI | GetNetworkTime (ULONGLONG *pTimeCount, ULONG *pTimeSource)
IMPORTGOBI ULONG GOBICMAPI | ValidateSPC (CHAR *pSPC)
IMPORTGOBI ULONG GOBICMAPI | GetDeviceCapabilities (ULONG *pMaxTXChannelRate, ULONG *pMaxRXChannelRate, ULONG *pDataServiceCapability, ULONG *pSimCapability, ULONG *pRadioIfacesSize, BYTE *pRadioIfaces)
IMPORTGOBI ULONG GOBICMAPI | GetManufacturer (BYTE stringSize, CHAR *pString)
IMPORTGOBI ULONG GOBICMAPI | GetModelID (BYTE stringSize, CHAR *pString)
IMPORTGOBI ULONG GOBICMAPI | GetFirmwareRevision (BYTE stringSize, CHAR *pString)
IMPORTGOBI ULONG GOBICMAPI | GetFirmwareRevisions (BYTE amssSize, CHAR *pAMSSString, BYTE bootSize, CHAR *pBootString, BYTE priSize, CHAR *pPRIString)
IMPORTGOBI ULONG GOBICMAPI | GetFirmwareInfo (ULONG *pFirmwareID, ULONG *pTechnology, ULONG *pCarrier, ULONG *pRegion, ULONG *pGPSCapability)
IMPORTGOBI ULONG GOBICMAPI | GetVoiceNumber (BYTE voiceNumberSize, CHAR *pVoiceNumber, BYTE minSize, CHAR *pMIN)
IMPORTGOBI ULONG GOBICMAPI | GetIMSI (BYTE stringSize, CHAR *pString)
IMPORTGOBI ULONG GOBICMAPI | GetSerialNumbers (BYTE esnSize, CHAR *pESNString, BYTE imeiSize, CHAR *pIMEIString, BYTE meidSize, CHAR *pMEIDString)
IMPORTGOBI ULONG GOBIAPI | GetStoredImages (ULONG *pImageListSize, BYTE *pImageList)
IMPORTGOBI ULONG GOBIAPI | SetImagesPreference (ULONG imageListSize, BYTE *pImageList, ULONG bForceDownload, BYTE modemIndex, ULONG *pImageTypesSize, BYTE *pImageTypes)
IMPORTGOBI ULONG GOBIAPI | GetImagesPreference (ULONG *pImageListSize, BYTE *pImageList)
IMPORTGOBI ULONG GOBIAPI | ResetDevice ()

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI ActivateAutomatic | ( | CHAR * | pActivationCode | ) |

This function requests the device to perform automatic service activation QMI_DMS_ACTIVATE_AUTOMATIC_MSG = 0x0032

Parameters

  pActivationCode | [ I ] - Activation code (maximum string length of 12)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI ActivateManual | ( | CHAR * | pSPC,
|  | WORD | sid,
|  | CHAR * | pMDN,
|  | CHAR * | pMIN,
|  | ULONG | prlSize,
|  | BYTE * | pPRL,
|  | CHAR * | pMNHA,
|  | CHAR * | pMNAAA
| ) |  |

This function requests the device perform manual service activation, after a successful request the device is then asked to reset QMI_DMS_ACTIVATE_MANUAL_MSG = 0x0033

Parameters

  pSPC | [ I ] - NULL terminated string representing the six digit service programming code
  sid | [ I ] - System identification number
  pMDN | [ I ] - Mobile Directory Number string
  pMIN | [ I ] - Mobile Identification Number string
  prlSize | [ I ] - (Optional) Size of PRL file array
  pPRL | [ I ] - (Optional) The PRL file contents
  pMNHA | [ I ] - (Optional) MN-HA string
  pMNAAA | [ I ] - (Optional) MN-AAA string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMChangePIN | ( | ULONG | id,
|  | CHAR * | pOldValue,
|  | CHAR * | pNewValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

This function change the PIN value QMI_DMS_UIM_CHANGE_PIN_MSG = 0x002A

Parameters

  id | [ I ] - PIN ID (1/2)
  pOldValue | [ I ] - Old PIN value of the PIN to change
  pNewValue | [ I ] - New PIN value of the PIN to change
  pVerifyRetriesLeft | [ O ] - Upon operational failure this will indicate the number of retries left, after which the PIN will be blocked (0xFFFFFFFF = unknown)
  pUnblockRetriesLeft | [ O ] - Upon operational failure this will indicate the number of unblock retries left, after which the PIN will be permanently blocked, i.e. UIM is unusable (0xFFFFFFFF = unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMGetControlKeyStatus | ( | ULONG | id,
|  | ULONG * | pStatus,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

This function returns the status of the specified facility control key QMI_DMS_UIM_GET_CK_STATUS_MSG = 0x0040

Parameters

  id | [ I ] - Facility ID
  pStatus | [ O ] - Control key status
  pVerifyRetriesLeft | [ O ] - The number of retries left, after which the control key will be blocked
  pUnblockRetriesLeft | [ O ] - The number of unblock retries left, after which the control key will be permanently blocked

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMGetICCID | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the UIM ICCID QMI_DMS_UIM_GET_ICCID_MSG = 0x003C

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMGetPINStatus | ( | ULONG | id,
|  | ULONG * | pStatus,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

This function returns the status of the pin QMI_DMS_UIM_GET_PIN_STATUS_MSG = 0x002B

Parameters

  id | [ I ] - PIN ID (1/2)
  idpStatus | [ O ] - PIN status (0xFFFFFFFF = unknown)
  idpVerifyRetriesLeft | [ O ] - The number of retries left, after which the PIN will be blocked (0xFFFFFFFF = unknown)
  idpUnblockRetriesLeft | [ O ] - The number of unblock retries left, after which the PIN will be permanently blocked, i.e. UIM is unusable (0xFFFFFFFF = unknown)

IMPORTGOBI ULONG GOBICMAPI DMSUIMSetControlKeyProtection | ( | ULONG | id,
|  | ULONG | status,
|  | CHAR * | pValue,
|  | ULONG * | pVerifyRetriesLeft
| ) |  |

This function changes the specified facility control key QMI_DMS_UIM_SET_CK_PROTECTION_MSG = 0x0041

Parameters

  id | [ I ] - Facility ID
  status | [ I ] - Control key status
  pValue | [ I ] - Control key de-personalization string
  pVerifyRetriesLeft | [ O ] - Upon operational failure this will indicate the number of retries left, after which the control key will be blocked

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMSetPINProtection | ( | ULONG | id,
|  | ULONG | bEnable,
|  | CHAR * | pValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

This function enables or disables protection of UIM contents by a given PIN QMI_DMS_UIM_SET_PIN_PROTECTION_MSG = 0x0027

Parameters

  id | [ I ] - PIN ID (1/2)
  bEnable | [ I ] - Enable/disable PIN protection (0 = disable)?
  pValue | [ I ] - PIN value of the PIN to be enabled/disabled
  pVerifyRetriesLeft | [ O ] - Upon operational failure this will indicate the number of retries left, after which the PIN will be blocked (0xFFFFFFFF = unknown)
  pUnblockRetriesLeft | [ O ] - Upon operational failure this will indicate the number of unblock retries left, after which the PIN will be permanently blocked, i.e. UIM is unusable (0xFFFFFFFF = unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMUnblockControlKey | ( | ULONG | id,
|  | CHAR * | pValue,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

This function unblocks the specified facility control key QMI_DMS_UIM_UNBLOCK_CK_MSG = 0x0042

Parameters

  id | [ I ] - Facility ID
  pValue | [ I ] - Control key de-personalization string
  pUnblockRetriesLeft | [ O ] - The number of unblock retries left, after which the control key will be permanently blocked

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMUnblockPIN | ( | ULONG | id,
|  | CHAR * | pPUKValue,
|  | CHAR * | pNewValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

DMSUIMUnblockPIN

This function unblocks a blocked PIN QMI_DMS_UIM_UNBLOCK_PIN_MSG = 0x0029

Parameters

  id | [ I ] - PIN ID (1/2)
  pPUKValue | [ I ] - PUK value of the PIN to unblock
  pNewValue | [ I ] - New PIN value of the PIN to unblock
  pVerifyRetriesLeft | [ O ] - Upon operational failure this will indicate the number of retries left, after which the PIN will be blocked (0xFFFFFFFF = unknown)
  pUnblockRetriesLeft | [ O ] - Upon operational failure this will indicate the number of unblock retries left, after which the PIN will be permanently blocked, i.e. UIM is unusable (0xFFFFFFFF = unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI DMSUIMVerifyPIN | ( | ULONG | id,
|  | CHAR * | pValue,
|  | ULONG * | pVerifyRetriesLeft,
|  | ULONG * | pUnblockRetriesLeft
| ) |  |

This function verifies the PIN before accessing the UIM contents QMI_DMS_UIM_VERIFY_PIN_MSG = 0x0028

Parameters

  id | [ I ] - PIN ID (1/2)
  pValue | [ I ] - PIN value of the PIN to verify
  pVerifyRetriesLeft | [ O ] - Upon operational failure this will indicate the number of retries left, after which the PIN will be blocked (0xFFFFFFFF = unknown)
  pUnblockRetriesLeft | [ O ] - Upon operational failure this will indicate the number of unblock retries left, after which the PIN will be permanently blocked, i.e. UIM is unusable (0xFFFFFFFF = unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetActivationState | ( | ULONG * | pActivationState | ) |

This function returns the device activation state QMI_DMS_GET_ACTIVATION_STATE_MSG = 0x0031

Parameters

  pActivationState | [ O ] - Service activation state 0x00 Service is not activated 0x01 Service is activated 0x02 Activation is connecting - Network connection in progress for automatic activation of service 0x03 Activation is connected - Network connection is connected for automatic activation of service 0x04 OTASP security is authenticated 0x05 OTASP NAM is downloaded 0x06 OTASP MDN is downloaded 0x07 OTASP IMSI is downloaded 0x08 OTASP PRL is downloaded 0x09 OTASP SPC is downloaded 0x0A OTASP settings are committed

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetDeviceCapabilities | ( | ULONG * | pMaxTXChannelRate,
|  | ULONG * | pMaxRXChannelRate,
|  | ULONG * | pDataServiceCapability,
|  | ULONG * | pSimCapability,
|  | ULONG * | pRadioIfacesSize,
|  | BYTE * | pRadioIfaces
| ) |  |

This function gets device capabilities QMI_DMS_GET_DEVICE_CAP_MSG = 0x0020

Parameters

  pMaxTXChannelRate | [ O ] - Maximum transmission rate (bps)
  pMaxRXChannelRate | [ O ] - Maximum reception rate (bps)
  pDataServiceCapability | [ O ] - CS/PS data service capability
  pSimCapability | [ O ] - Device SIM support
  pRadioIfacesSize | [I/O] - Upon input the maximum number of elements that the radio interfaces can contain. Upon successful output the actual number of elements in the radio interface array
  pRadioIfaces | [ O ] - The radio interface array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetERIFile | ( | ULONG * | pFileSize,
|  | BYTE * | pFile
| ) |  |

This command returns the ERI file that is stored in EFS on the device QMI_DMS_READ_ERI_FILE_MSG = 0x0039

Parameters

  pFileSize | [I/O] - Upon input the maximum number of bytes that the file contents array can contain. Upon successful output the actual number of bytes written to the file contents array
  pFile | [ O ] - The file contents

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetFirmwareInfo | ( | ULONG * | pFirmwareID,
|  | ULONG * | pTechnology,
|  | ULONG * | pCarrier,
|  | ULONG * | pRegion,
|  | ULONG * | pGPSCapability
| ) |  |

Returns image information obtained from the current device firmware QMI_DMS_GET_DEVICE_REV_ID_MSG = 0x0023

Parameters

  pFirmwareID | [ O ] - Firmware ID obtained from the firmware image
  pTechnology | [ O ] - Technology (0xFFFFFFFF if unknown)
  pCarrier | [ O ] - Carrier (0xFFFFFFFF if unknown)
  pRegion | [ O ] - Region (0xFFFFFFFF if unknown)
  pGPSCapability | [ O ] - GPS capability (0xFFFFFFFF if unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetFirmwareRevision | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the device firmware revision

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetFirmwareRevisions | ( | BYTE | amssSize,
|  | CHAR * | pAMSSString,
|  | BYTE | bootSize,
|  | CHAR * | pBootString,
|  | BYTE | priSize,
|  | CHAR * | pPRIString
| ) |  |

This function returns the device firmware (AMSS, boot, and PRI) revisions QMI_DMS_GET_DEVICE_REV_ID_MSG = 0x0023

Parameters

  amssSize | [ I ] - The maximum number of characters (including NULL terminator) that the AMSS string array can contain
  pAMSSString | [ O ] - NULL terminated AMSS revision string
  bootSize | [ I ] - The maximum number of characters (including NULL terminator) that the boot string array can contain
  pBootString | [ O ] - NULL terminated boot code revision string
  priSize | [ I ] - The maximum number of characters (including NULL terminator) that the PRI string array can contain
  pPRIString | [ O ] - NULL terminated PRI revision string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetHardwareRevision | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the device hardware revision QMI_DMS_GET_DEVICE_HARDWARE_REV_MSG = 0x002C;

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI GetImagesPreference | ( | ULONG * | pImageListSize,
|  | BYTE * | pImageList
| ) |  |

This function gets the current images preference QMI_DMS_GET_FIRMWARE_PREF_MSG = 0x0047;

Parameters

  pCallbackpImageListSize | [I/O] - Upon input the size in BYTEs of the image list array. Upon success the actual number of BYTEs copied to the image list array
  pImageList | [ O ] - The image info list array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetIMSI | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the device IMSI

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetManufacturer | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the device manufacturer name QMI_DMS_GET_DEVICE_MFR_MSG = 0x0021

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetModelID | ( | BYTE | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the device model ID QMI_DMS_GET_DEVICE_MODEL_ID_MSG = 0x0022

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetNetworkTime | ( | ULONGLONG * | pTimeCount,
|  | ULONG * | pTimeSource
| ) |  |

This function returns the current time of the device QMI_DMS_VALIDATE_SERVICE_PROGRAMMING_CODE_MSG = 0x003B

Parameters

  pTimeCount | [ O ] - Count of 1.25ms that have elapsed from the start of GPS time (Jan 6, 1980)
  pTimeSource | [ O ] - Source of the timestamp

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetOfflineReason | ( | ULONG * | pReasonMask,
|  | ULONG * | pbPlatform
| ) |  |

This function returns the reason why the operating mode of the device is currently offline QMI_DMS_GET_OPERATING_MODE_MSG = 0x002D

Parameters

  pReasonMask | [ O ] - Bitmask of offline reasons
  pbPlatform | [ O ] - Offline due to being platform retricted?

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPower | ( | ULONG * | pPowerMode | ) |

This function returns the operating mode of the device QMI_DMS_GET_OPERATING_MODE_MSG = 0x002D

Parameters

  pPowerMode | [ O ] - Current operating mode

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPRLVersion | ( | WORD * | pPRLVersion | ) |

This function returns the version of the active Preferred Roaming List (PRL) in use by the device QMI_DMS_GET_PRL_VER_MSG = 0x0030

Parameters

  pPRLVersion | [ O ] - The PRL version number

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetSerialNumbers | ( | BYTE | esnSize,
|  | CHAR * | pESNString,
|  | BYTE | imeiSize,
|  | CHAR * | pIMEIString,
|  | BYTE | meidSize,
|  | CHAR * | pMEIDString
| ) |  |

This command returns all serial numbers assigned to the device QMI_DMS_GET_DEVICE_SERIAL_NUMBERS_MSG = 0x0025

Parameters

  esnSize | [ I ] - The maximum number of characters (including NULL terminator) that the ESN array can contain
  pESNString | [ O ] - ESN string (empty string returned when ESN is not supported/programmed)
  imeiSize | [ I ] - The maximum number of characters (including NULL terminator) that the IMEI array can contain
  pIMEIString | [ O ] - IMEI string (empty string returned when IMEI is not supported/programmed)
  meidSize | [ I ] - The maximum number of characters (including NULL terminator) that the MEID array can contain
  pMEIDString | [ O ] - MEID string (empty string returned when MEID is not supported/programmed)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI GetStoredImages | ( | ULONG * | pImageListSize,
|  | BYTE * | pImageList
| ) |  |

This function gets the list of images stored on the device QMI_DMS_LIST_STORED_IMAGES_MSG = 0x0049

Parameters

  pImageListSize | [I/O] - Upon input the size in BYTEs of the image list array. Upon success the actual number of BYTEs copied to the image list array
  pImageList | [ O ] - The image info list array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetVoiceNumber | ( | BYTE | voiceNumberSize,
|  | CHAR * | pVoiceNumber,
|  | BYTE | minSize,
|  | CHAR * | pMIN
| ) |  |

This function returns the voice number in use by the device QMI_DMS_GET_MSISDN_MSG = 0x0024

Parameters

  voiceNumberSize | [ I ] - The maximum number of characters (including NULL terminator) that the voice number array can contain
  pVoiceNumber | [ O ] - Voice number (MDN or ISDN) string
  minSize | [ I ] - The maximum number of characters (including NULL terminator) that the MIN array can contain
  pMIN | [ O ] - MIN string (empty string returned when MIN is not supported/programmed)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI ResetDevice | ( |  | ) |

This function resets the device

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI ResetToFactoryDefaults | ( | CHAR * | pSPC | ) |

This function requests the device reset configuration to factory defaults, after a successful request the device is then asked to reset QMI_DMS_RESTORE_FACTORY_DEFAULTS_MSG = 0x003A

Parameters

  pSPC | [ I ] - NULL terminated string representing the six digit service programming code

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetActivationStatusCallback | ( | tFNActivationStatus | pCallback | ) |

This function enables/disables the activation status callback function with QMI_DMS_SET_EVENT_REPORT 0x0001 TLV 0x013

Parameters

  pCallback | [ I ] - Callback function (0 = disable)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBIAPI SetImagesPreference | ( | ULONG | imageListSize,
|  | BYTE * | pImageList,
|  | ULONG | bForceDownload,
|  | BYTE | modemIndex,
|  | ULONG * | pImageTypesSize,
|  | BYTE * | pImageTypes
| ) |  |

This function sets the current images preference QMI_DMS_SET_FIRMWARE_PREF_MSG = 0x0048

Parameters

  imageListSize | [ I ] - The size in BYTEs of the image list array
  pImageList | [ I ] - The image list array
  bForceDownload | [ I ] - Force device to download images from host?
  modemIndex | [ I ] - Desired storage index for downloaded modem image
  pImageTypesSize | [I/O] - Upon input the maximum number of elements that the download image types array can contain. Upon successful output the actual number of elements in the download image types array
  pImageTypes | [ O ] - The download image types array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetPower | ( | ULONG | powerMode | ) |

This function sets the operating mode of the device QMI_DMS_SET_OPERATING_MODE_MSG = 0x002E

Parameters

  powerMode | [ I ] - Selected operating mode

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetPowerCallback | ( | tFNPower | pCallback | ) |

Enable/disable power operating mode callback function QMI_DMS_SET_EVENT_REPORT_REQ 0x0001 TLV 0x10

Parameters

  pCallback | [ I ] - Callback function

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI ValidateSPC | ( | CHAR * | pSPC | ) |

This function validates the service programming code QMI_DMS_VALIDATE_SERVICE_PROGRAMMING_CODE_MSG = 0x003B

pSPC [ I ] - Six digit service programming code

Returns
  See GobiErrorCodes.h